package v2company_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2CompanyDetailRequest struct {
	CompanyRequest *common.CompanyRequest `json:"companyRequest,omitempty"`
}

func (obj V2CompanyDetailRequest) GetUrl() string {
	return "/v2/company/detail"
}

func (obj V2CompanyDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
